<?php
/**
 * Extended Content Template.
 *
 * @package Delicious_Recipes_Pro
 */
$global_settings         = delicious_recipes_get_global_settings();
$recipe_meta             = get_post_meta( get_the_ID(), 'delicious_recipes_metadata', true );
$recipe_extended_content = isset( $recipe_meta['extendedContent'] ) && $recipe_meta['extendedContent'] ? $recipe_meta['extendedContent'] : '';
if ( $recipe_extended_content ) {
	$blocks = parse_blocks( $recipe_extended_content );

	$output = '';
	foreach ( $blocks as $block ) {
		$output .= do_shortcode( render_block( $block ) );
	}
	echo '<div class="dr-extended-content-content">' . $output . '</div>';
}
